; Media Development Profile makefile
; ----------------------------------
 
; Core version
; ------------
core = 7.x
 
; Drush Make API version
; ----------------------
api = 2
 
projects[drupal][type] = "core"
projects[media_derivatives_profile][type] = "profile"
projects[media_derivatives_profile][version] = "1.x-dev"

 
; Projects
; See http://drupal.org/project/media - some of the versions may need to be 
; changed in future revisions of this make file.
; -------------------------------------------------------------------------
 
; Download the 'Media' project.
projects[media][version] = "2.x-dev"
 
; Required contrib modules
projects[ctools][version] = "1.x-dev"
projects[file_entity][version] = "1.x-dev"
 
 
; Optional contrib modules
projects[styles][version] = "2.x-dev"
projects[wysiwyg][version] = "2.x-dev"
projects[media_gallery][version] = "1.x-dev"
projects[media_browser_plus][version] = "1.x-dev"
projects[media_flickr][version] = "1.x-dev"
projects[media_youtube][version] = "1.x-dev"
projects[media_vimeo][version] = "1.x-dev"
projects[media_bliptv][version] = "1.x-dev"
projects[media_archive][version] = "1.x-dev"
projects[feeds][version] = "1.x-dev"
projects[media_feeds][version] = "1.0-beta1"
projects[multiform][version] = "1.x-dev"
projects[plupload][version] = "1.x-dev"
projects[libraries][version] = "2.x-dev"
 
; For whatever reason, this module doesn't have a dev release.
projects[mediaelement][version] = "1.1"

; Media derivatives
projects[media_derivatives][version] = "1.x-dev"
projects[media_ffmpeg_simple][version] = "1.x-dev"
projects[media_derivatives_html5][version] = "1.x-dev"

; Download Devel module
projects[devel][version] = "1.x-dev"
 
; Download Coder module
projects[coder][version] = "1.x-dev"
projects[coder][type] = "module"
 
; External libraries (go into into /sites/all/libraries)
; ------------------------------------------------------
 
; CKEditor
libraries[ckeditor][download][type] = "get"
libraries[ckeditor][download][url] = "http://download.cksource.com/CKEditor/CKEditor/CKEditor%203.6.1/ckeditor_3.6.1.tar.gz"
libraries[ckeditor][directory_name] = "ckeditor"
libraries[ckeditor][destination] = "libraries"
 
; Plupload library
libraries[plupload][download][type] = "get"
libraries[plupload][download][url] = "https://github.com/downloads/moxiecode/plupload/plupload_1_4_3_2.zip"
libraries[plupload][directory_name] = "plupload"
libraries[plupload][destination] = "libraries"
 
; MediaElement library
libraries[mediaelement][download][type] = "get"
libraries[mediaelement][download][url] = "https://github.com/kaichen/mediaelement/zipball/2.1.6"
libraries[mediaelement][directory_name] = "mediaelement"
libraries[mediaelement][destination] = "libraries"
